﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/superdupersoundpackengine/localization/

local AddonName, a = ...
a.Localize = setmetatable({}, {__index = function(_, key) return key end})
local L = a.Localize

-- Example:
L["English text goes here."] = "Translated text goes here."

if GetLocale() == "ptBR" then -- Brazilian Portuguese
-- L["All Sounds and Music  ( changes only saved per session )"] = ""
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
-- L["Jumping Sound"] = ""
-- L["Music"] = ""
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
-- L["Sound on Direct Damage"] = ""
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sounds"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
-- L["Swimming Sound"] = ""

elseif GetLocale() == "frFR" then -- French
-- L["All Sounds and Music  ( changes only saved per session )"] = ""
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
-- L["Jumping Sound"] = ""
-- L["Music"] = ""
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
-- L["Sound on Direct Damage"] = ""
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sounds"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
-- L["Swimming Sound"] = ""

elseif GetLocale() == "deDE" then -- German
L["All Sounds and Music  ( changes only saved per session )"] = "Alle Töne und Musik (Veränderungen werden nur pro Sitzung gespeichert)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Auf Boss oder Gruppe überprüfen (Veränderungen werden nur pro Sitzung gespeichert)"
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "Springgeräusche"
L["Music"] = "Musik"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Ton bei direktem Schaden"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
L["Sounds"] = "Töne"
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Swimming Sound"] = "Schwimmgeräusche"

elseif GetLocale() == "koKR" then -- Korean
L["All Sounds and Music  ( changes only saved per session )"] = "모든 소리와 음악 (변경사항은 캐릭별로 저장)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "파티 또는 보스에 대한 체크 (변경사항은 캐릭별로 저장)"
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "점프시 소리"
L["Music"] = "음악"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "데미지에 대한 소리"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
L["Sounds"] = "사운드"
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Swimming Sound"] = "수영시 소리"

elseif GetLocale() == "esMX" then -- Latin American Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y musica"
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "Saltos de sonido"
L["Music"] = "Musica"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
-- L["Sound on Direct Damage"] = ""
-- L["Sound on XP, Honor or Rep. Gain"] = ""
L["Sounds"] = "Sonidos"
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
-- L["Swimming Sound"] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["All Sounds and Music  ( changes only saved per session )"] = "Включить Звуки, и Музыку  ( работает только в данной сессии )" -- Needs review
L["Checking for Boss or Party  ( changes only saved per session )"] = "Проверять на Боссов и Группы  ( работает только в данной сессии )" -- Needs review
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "\"Прыгающий\" Звук"
L["Music"] = "Музыка"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Звук при Нанесении Урона"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
L["Sounds"] = "Звуки"
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Swimming Sound"] = "\"Плавающий\" Звук"

elseif GetLocale() == "zhCN" then -- Simplified Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音乐和音效"
L["Checking for Boss or Party  ( changes only saved per session )"] = "团队检查音效" -- Needs review
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "跳跃音效"
L["Music"] = "音乐"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
L["Sound on Buff"] = "获得增益时播放音效" -- Needs review
L["Sound on Debuff"] = "获得减益时播放音效" -- Needs review
L["Sound on Direct Damage"] = "直接伤害音效"
L["Sound on XP, Honor or Rep. Gain"] = "获得经验、荣誉或声望时播放音效" -- Needs review
L["Sounds"] = "音效"
L["Sound when at Max Combo Points or Rage"] = "连击点或怒气值最大时播放音效" -- Needs review
L["Sound when Boss Reaches Low Health"] = "Boss 低血量时播放音效" -- Needs review
-- L["Sound while Damage Immunity Buffed"] = ""
L["Swimming Sound"] = "游泳音效"

elseif GetLocale() == "esES" then -- Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y música (cambios sólo guardados una vez por sesión)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Buscador de Boss o de Grupo"
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "Sonido al saltar"
L["Music"] = "Música"
-- L["Options"] = ""
-- L["Selected Sound Pack:"] = ""
-- L["Settings have been reset!"] = ""
-- L["Sound disabled for this session!"] = ""
-- L["Sound enabled."] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Sonido al hacer daño directo"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
L["Sounds"] = "Sonidos"
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Swimming Sound"] = "Sonido al nadar"

elseif GetLocale() == "zhTW" then -- Traditional Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音效以及音樂" -- Needs review
L["Checking for Boss or Party  ( changes only saved per session )"] = "團隊或隊伍檢查音效" -- Needs review
-- L["Checks disabled for this session!"] = ""
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "跳躍音效" -- Needs review
L["Music"] = "音樂" -- Needs review
L["Options"] = "選項" -- Needs review
L["Selected Sound Pack:"] = "選擇音效包" -- Needs review
L["Settings have been reset!"] = "設定已經重置" -- Needs review
L["Sound disabled for this session!"] = "關閉音效" -- Needs review
L["Sound enabled."] = "開啟音效" -- Needs review
L["Sound on Buff"] = "獲得增益的音效" -- Needs review
L["Sound on Debuff"] = "獲得減益的音效" -- Needs review
L["Sound on Direct Damage"] = "直接傷害音效" -- Needs review
L["Sound on XP, Honor or Rep. Gain"] = "獲得經驗,榮譽,聲望的音效" -- Needs review
L["Sounds"] = "音效"
L["Sound when at Max Combo Points or Rage"] = "怒氣或是連擊點數最大時的音效" -- Needs review
L["Sound when Boss Reaches Low Health"] = "王低血量時的音效" -- Needs review
L["Sound while Damage Immunity Buffed"] = "傷害免疫時的音效" -- Needs review
L["Swimming Sound"] = "游泳音效"

end